Skip to main content
GET
/
ecommerce
/
modifiers
List modifiers
curl --request GET \
  --url https://api.service.getjusto.com/v3/ecommerce/modifiers \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "modifierId": "<string>",
      "importId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "shortName": "<string>",
      "internalName": "<string>",
      "min": 123,
      "max": 123,
      "optional": true,
      "externalId": "<string>",
      "metadata": {},
      "optionIds": [
        "<string>"
      ],
      "options": [
        {
          "optionId": "<string>",
          "importId": "<string>",
          "name": "<string>",
          "internalName": "<string>",
          "max": 123,
          "externalId": "<string>",
          "metadata": {},
          "menus": [
            {
              "menuId": "<string>",
              "price": 123,
              "basePrice": 123,
              "discount": 123,
              "discounts": [
                123
              ],
              "available": true,
              "externalId": "<string>",
              "metadata": {}
            }
          ]
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

The OpenAPI spec

success
boolean
Example:

true

data
object[]